Aria: ArRetFunctor1< Ret, P1 > Class Template Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ArRetFunctor1< Ret, P1 > Class Template Reference

`#include <ArFunctor.h>`

Inheritance diagram for ArRetFunctor1< Ret, P1 >:

List of all members.

## Detailed Description

### template<class Ret, class P1>
class ArRetFunctor1< Ret, P1 >

Base class for functors with a return value with 1 parameter.

This is the base class for functors with a return value and take 1 parameter. Code that has a reference to a functor that returns a value and takes 1 parameter should use this class name. This allows the code to know how to invoke the functor without knowing which class the member function is in.

For an overall description of functors, see ArFunctor.

## Public Member Functions
virtual Ret | invokeR (P1 p1)=0
| Invokes the functor with return value.
virtual Ret | invokeR (void)=0
| Invokes the functor with return value.
virtual | ~ArRetFunctor1 ()
| Destructor.

## Member Function Documentation

template<class Ret, class P1>

virtual Ret ArRetFunctor1< Ret, P1 >::invokeR | ( | P1 | p1 | ) | `[pure virtual]`

Invokes the functor with return value.

Parameters:

  | p1 | first parameter

Implemented in ArRetFunctor2< Ret, P1, P2 >, ArRetFunctor3< Ret, P1, P2, P3 >, ArRetFunctor4< Ret, P1, P2, P3, P4 >, ArGlobalRetFunctor1< Ret, P1 >, ArGlobalRetFunctor2< Ret, P1, P2 >, ArGlobalRetFunctor3< Ret, P1, P2, P3 >, ArGlobalRetFunctor4< Ret, P1, P2, P3, P4 >, ArRetFunctor1C< Ret, T, P1 >, ArRetFunctor2C< Ret, T, P1, P2 >, ArRetFunctor3C< Ret, T, P1, P2, P3 >, ArRetFunctor4C< Ret, T, P1, P2, P3, P4 >, ArConstRetFunctor1C< Ret, T, P1 >, ArConstRetFunctor2C< Ret, T, P1, P2 >, ArConstRetFunctor3C< Ret, T, P1, P2, P3 >, ArConstRetFunctor4C< Ret, T, P1, P2, P3, P4 >, ArRetFunctor2< bool, ArArgumentBuilder *, char * >, ArRetFunctor2< const ArLaser *, int, char * >, ArRetFunctor2< bool, char *, size_t >, ArRetFunctor2< const const constArDeviceConnection *, char *, char * >, ArRetFunctor2< const constbool, char *, char * >, ArRetFunctor2< bool, short *, int >, ArRetFunctor3< bool, ArArgumentBuilder *, char *, size_t >, ArRetFunctor3< const const constArDeviceConnection *, char *, char *, char * >, ArGlobalRetFunctor2< const ArLaser *, int, char * >, ArGlobalRetFunctor2< const const bool, char *, char * >, ArRetFunctor1C< void *, ArRangeDeviceThreaded, void * >, ArRetFunctor1C< bool, ArRobotParams, ArArgumentBuilder * >, ArRetFunctor1C< bool, ArMapSimple, ArArgumentBuilder * >, ArRetFunctor1C< bool, ArRobot, ArRobotPacket * >, ArRetFunctor1C< bool, ArSimulatedLaser, ArRobotPacket * >, ArRetFunctor1C< bool, ArTCMCompassRobot, ArRobotPacket * >, ArRetFunctor1C< bool, ArActionRobotJoydrive, ArRobotPacket * >, ArRetFunctor1C< bool, ArGripper, ArRobotPacket * >, ArRetFunctor1C< bool, ArRobotConfigPacketReader, ArRobotPacket * >, ArRetFunctor1C< bool, ArLMS2xx, ArRobotPacket * >, ArRetFunctor1C< bool, ArP2Arm, ArRobotPacket * >, ArRetFunctor1C< bool, ArIrrfDevice, ArRobotPacket * >, ArRetFunctor1C< bool, ArLaserLogger, ArRobotPacket * >, ArRetFunctor1C< bool, ArMapSupplement, ArArgumentBuilder * >, ArRetFunctor1C< bool, ArPTZ, ArRobotPacket * >, ArRetFunctor1C< void *, ArASyncTask, void * >, ArRetFunctor1C< bool, ArRobotJoyHandler, ArRobotPacket * >, ArRetFunctor1C< bool, ArMapInfo, ArArgumentBuilder * >, ArRetFunctor1C< double, ArAnalogGyro, ArPoseWithTime >, ArRetFunctor1C< bool, ArAnalogGyro, ArRobotPacket * >, ArRetFunctor1C< bool, ArMapObjects, ArArgumentBuilder * >, ArRetFunctor1C< bool, ArMapScan, ArArgumentBuilder * >, ArRetFunctor2C< const const bool, ArSpeechSynth, char *, char * >, ArRetFunctor2C< bool, ArMap, char *, size_t >, ArRetFunctor2C< bool, ArDataLogger, char *, size_t >, and ArRetFunctor3C< bool, ArConfig, ArArgumentBuilder *, char *, size_t >.

The documentation for this class was generated from the following file:

- ArFunctor.h